# ivy

fun RepositoryHandler.ivy(url: Any): IvyArtifactRepository

Adds and configures an Ivy repository.

The provided url value is evaluated as per org.gradle.api.Project.uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

#### Return

The added repository.

#### Parameters

url

The base URL of this repository.

#### See also

RepositoryHandler.ivy

fun RepositoryHandler.ivy(url: Any, action: IvyArtifactRepository.() -> Unit): IvyArtifactRepository

Adds and configures an Ivy repository.

The provided url value is evaluated as per org.gradle.api.Project.uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

#### Return

The added repository.

#### Parameters

url

The base URL of this repository.

action

The action to use to configure the repository.

#### See also

RepositoryHandler.ivy